package lib;

/**
 * This library contains application-specific routines such as
 * synchronisation with status object or setting up the typical 
 * initial state (new order).
 
 @stereotype compiled module
 @tsl <A HREF= "AUT_lib.tsl">AUT_lib.tsl</A>
*/

public class AUT_lib
{
/**
 * Invokes the AUT
 * @return E_OK on success otherwise !E_OK
 */

public int AUT_invoke(  ) {};

/**
 *	Closes the AUT
 */

public int AUT_close(  ) {};

/**
 * Closes all windows other than main application window.
 * @return E_OK if set_window() succeeded on main window else !E_OK
 */

public int AUT_reset(  ) {};

/**
 *	Kills the AUT (via Task Manager or so).
 */

public int AUT_kill(  ) {};

public int close_security_alerts(  ) {};

}
